package com.ozs.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.base.domain.BaseProfessional;
import com.ozs.base.domain.vo.BaseProfessionalVo;
import com.ozs.common.core.domain.AjaxResult;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface BaseProfessionalService extends IService<BaseProfessional> {
    List<BaseProfessionalVo> selectBaseProfessionalVo(BaseProfessionalVo baseProfessional);
    List<BaseProfessional> selectBaseProfessional(BaseProfessionalVo baseProfessionalVo);

    void deleteIds(List<Integer> deleteIds);

    String importBaseProfessional(List<BaseProfessional> userList, boolean updateSupport);

    /**
     * 下载模板
     * @param downloadPath
     * @param request
     * @param response
     * @return
     */
    AjaxResult downloadPathFile(String downloadPath, HttpServletRequest request, HttpServletResponse response);

    int updateProfessional(BaseProfessional baseProfessional);

    int deleteId(Integer id);
}
